# Ogre::CompositorSerializer Class Reference

Class for serializing Compositors to / from a .compositor script. More...

`#include <OgreCompositorSerializer.h>`

List of all members.

## Public Member Functions

| CompositorSerializer ()
| default constructor
virtual | ~CompositorSerializer ()
| default destructor
void | parseScript (DataStreamPtr &stream, const String &groupName)
| Parses a Compositor script file passed as a stream.

## Protected Attributes

CompositorScriptCompiler * | mScriptCompiler

## Detailed Description

Class for serializing Compositors to / from a .compositor script.

Definition at line 36 of file OgreCompositorSerializer.h.

## Constructor & Destructor Documentation

Ogre::CompositorSerializer::CompositorSerializer | ( |  | ) |

| default constructor

virtual Ogre::CompositorSerializer::~CompositorSerializer | ( |  | ) | `[virtual]`

| default destructor

## Member Function Documentation

void Ogre::CompositorSerializer::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName
| ) |

| Parses a Compositor script file passed as a stream.

## Member Data Documentation

CompositorScriptCompiler* Ogre::CompositorSerializer::mScriptCompiler `[protected]`

| Definition at line 49 of file OgreCompositorSerializer.h.

The documentation for this class was generated from the following file:

- OgreCompositorSerializer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:37 2006